<systems>
    <system>
        <id>0</id>
        <priority>0</priority>
        <components>
            <component>
                <id>Parameters_Vehicle</id>
                <schedule>
                    <priority>500</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>Parameters_Vehicle</library>
                <parameters/>
            </component>
            <component>
                <id>FMU</id>
                <schedule>
                    <priority>250</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>Algorithm_FmuWrapper</library>
                <parameters>
                    <parameter>
                        <id>FmuPath</id>
                        <type>string</type>
                        <unit/>
                        <!-- Set value for your needs:
                        
                        LINUX
                        =====
                        
                        - FMU V1: resources/linux64/dummyFMU1_StaticFMUActuator.fmu 
                        - FMU V2: resources/linux64/dummyFMU2_StaticFMUActuator.fmu 
                        
                        WINDOWS
                        =======
                         
                        - FMU V1: resources/win64/dummyFMU1_StaticFMUActuator.fmu 
                        - FMU V2: resources/win64/dummyFMU2_StaticFMUActuator.fmu
                        
                        --> 
                        <value>resources/linux64/dummyFMU1_StaticFMUActuator.fmu</value>
                    </parameter>
                    <parameter>
                        <id>Logging</id>
                        <type>bool</type>
                        <unit/>
                        <value>false</value>
                    </parameter>
                    <parameter>
                        <id>CsvOutput</id>
                        <type>bool</type>
                        <unit/>
                        <value>false</value>
                    </parameter>
                    <parameter>
                        <id>Output_accPedalPosition</id>
                        <type>string</type>
                        <unit/>
                        <value>LongitudinalSignal_AccPedalPos</value>
                    </parameter>
                    <parameter>
                        <id>Output_brakePedalPosition</id>
                        <type>string</type>
                        <unit/>
                        <value>LongitudinalSignal_BrakePedalPos</value>
                    </parameter>
                    <parameter>
                        <id>Output_gear</id>
                        <type>string</type>
                        <unit/>
                        <value>LongitudinalSignal_Gear</value>
                    </parameter>
                    <parameter>
                        <id>Output_steeringWheelAngle</id>
                        <type>string</type>
                        <unit/>
                        <value>SteeringSignal_SteeringWheelAngle</value>
                    </parameter>
                </parameters>
            </component>
            <component>
                <id>PrioritizerLongitudinal</id>
                <schedule>
                    <priority>75</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>SignalPrioritizer</library>
                <parameters>
                    <parameter>
                        <id>0</id>
                        <type>int</type>
                        <unit/>
                        <value>2</value>
                    </parameter>
                </parameters>
            </component>
            <component>
                <id>PrioritizerSteering</id>
                <schedule>
                    <priority>75</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>SignalPrioritizer</library>
                <parameters>
                    <parameter>
                        <id>0</id>
                        <type>int</type>
                        <unit/>
                        <value>2</value>
                    </parameter>
                </parameters>
            </component>
            <component>
                <id>Dynamics_RegularDriving</id>
                <schedule>
                    <priority>50</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>Dynamics_RegularDriving</library>
                <parameters/>
            </component>
            <component>
                <id>Dynamics_Collision</id>
                <schedule>
                    <priority>50</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>Dynamics_Collision</library>
                <parameters/>
            </component>
            <component>
                <id>PrioritizerDynamics</id>
                <schedule>
                    <priority>25</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>SignalPrioritizer</library>
                <parameters>
                    <parameter>
                        <id>1</id>
                        <type>int</type>
                        <unit/>
                        <value>4</value>
                    </parameter>
                    <parameter>
                        <id>0</id>
                        <type>int</type>
                        <unit/>
                        <value>3</value>
                    </parameter>
                </parameters>
            </component>
            <component>
                <id>AgentUpdater</id>
                <schedule>
                    <priority>1</priority>
                    <offset>0</offset>
                    <cycle>100</cycle>
                    <response>0</response>
                </schedule>
                <library>AgentUpdater</library>
                <parameters/>
            </component>
        </components>
        <connections>
            <connection>
                <id>301</id>
                <source>
                    <component>Dynamics_RegularDriving</component>
                    <output>0</output>
                </source>
                <target>
                    <component>PrioritizerDynamics</component>
                    <input>0</input>
                </target>
            </connection>
            <connection>
                <id>401</id>
                <source>
                    <component>Dynamics_Collision</component>
                    <output>0</output>
                </source>
                <target>
                    <component>PrioritizerDynamics</component>
                    <input>1</input>
                </target>
            </connection>
            <connection>
                <id>501</id>
                <source>
                    <component>PrioritizerDynamics</component>
                    <output>0</output>
                </source>
                <target>
                    <component>AgentUpdater</component>
                    <input>0</input>
                </target>
            </connection>
            <connection>
                <id>1111</id>
                <source>
                    <component>FMU</component>
                    <output>2</output>
                </source>
                <target>
                    <component>PrioritizerLongitudinal</component>
                    <input>0</input>
                </target>
            </connection>
            <connection>
                <id>1412</id>
                <source>
                    <component>FMU</component>
                    <output>3</output>
                </source>
                <target>
                    <component>PrioritizerSteering</component>
                    <input>0</input>
                </target>
            </connection>
            <connection>
                <id>2111</id>
                <source>
                    <component>PrioritizerLongitudinal</component>
                    <output>0</output>
                </source>
                <target>
                    <component>Dynamics_RegularDriving</component>
                    <input>0</input>
                </target>
            </connection>
            <connection>
                <id>2212</id>
                <source>
                    <component>PrioritizerSteering</component>
                    <output>0</output>
                </source>
                <target>
                    <component>Dynamics_RegularDriving</component>
                    <input>1</input>
                </target>
            </connection>
            <connection>
                <id>9292</id>
                <source>
                    <component>Parameters_Vehicle</component>
                    <output>1</output>
                </source>
                <target>
                    <component>Dynamics_RegularDriving</component>
                    <input>100</input>
                </target>
			</connection>
        </connections>
    </system>
</systems>
